[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: r8368 and SWIG version requirements.

From: Ben Reser <ben_at_reser.org>
Date: 2004-01-20 03:39:25 CET

On Mon, Jan 19, 2004 at 07:41:25PM -0600, David Summers wrote:
> Is it important enough to have Subversion use the perl bindings on RedHat
> 7.3? If so it sounds like RedHat 7.3 users will have to upgrade their
> perl to perl latest (or at least 5.8.0) from the current version of 5.6.1
> or even perl-5.6.0.X.
>
> Any other options? That's a pretty big change (maybe for the better, but
> I don't know enough about it to evaluate backwards compatability issues
> for Perl).
>
> Poll Question: Should I put the perl 5.8.0 requirement into the RedHat 7.3
> Subversion RPMs? (I'll have to build latest version of perl and distribute
> it.)
>
> I've currently got a patch that builds on RedHat 9 and should work on
> RedHat 7.3 (once I rebuild perl) that generates a subversion-perl RPM.

My vote is to drop perl binding support in the package.

-- 
Ben Reser <ben@reser.org>
http://ben.reser.org
"Conscience is the inner voice which warns us somebody may be looking."
- H.L. Mencken
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Tue Jan 20 03:39:56 2004

This is an archived mail posted to the Subversion Dev mailing list.